<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="org.eclipse.papyrus.designer.languages.java.feature"
      label="%featureName"
      version="3.1.0.qualifier"
      provider-name="%providerName">

   <description url="http://www.example.com/description">
      Java code generation from Papyrus. The feature includes
- A Java profile, enabling the specification for Java features
- A code generator from UML enriched with the Java profile
- An experimental JDT integration
   </description>

   <copyright url="https://www.eclipse.org/legal/epl-2.0/">
      Copyright (c) CEA LIST
All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License
v2.0 which accompanies this distribution, and is available at
https://www.eclipse.org/legal/epl-2.0/
   </copyright>

   <license url="%licenseURL">
      %license
   </license>

   <requires>
      <import feature="org.eclipse.jdt"/>
      <import feature="org.eclipse.papyrus.designer.languages.common.feature"/>
   </requires>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.codegen"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.codegen.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.profile"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.profile.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.library.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.jdt.project"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.jdt.project.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.reverse"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.reverse.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.jdt.texteditor"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.examples"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>
</feature>
